### Method

# Atspi Text get_attribute_run

#### Declaration [src]

    GHashTable*
    atspi_text_get_attribute_run (
      AtspiText* obj,
      gint offset,
      gboolean include_defaults,
      gint* start_offset,
      gint* end_offset,
      GError** error
    )

#### Description [src]

Gets a set of attributes applied to a range of text from an `AtspiText` object, optionally including its ‘default’ attributes.

#### Parameters

`offset`

  Type: `gint`

  A #gint indicating the offset from which the attribute search is based.

`include_defaults`

  Type: `gboolean`

  A #bool that, when set as `FALSE`, indicates the call should only return those attributes which are explicitly set on the current attribute run, omitting any attributes which are inherited from the default values.

`start_offset`

  Type: `gint*`

  A #gint pointer indicating the start of the desired text range.

  The argument will be set by the function.

`end_offset`

  Type: `gint*`

  A #gint pointer indicating the first character past the desired range.

  The argument will be set by the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GHashTable`

A `GHashTable` with attributes defined at the indicated offset, optionally including the ‘default’ ones.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.